This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 825275 - (CVE-2012-2679) CVE-2012-2679 rhncfg: Insecure permissions used for /var/log/rhncfg-actions file
CVE-2012-2679 rhncfg: Insecure permissions used for /var/log/rhncfg-actions file
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120614,repor...
: Security
Depends On: 824707 832037
Blocks: 825281
  Show dependency treegraph
 
Reported: 2012-05-25 10:18 EDT by Jan Lieskovsky
Modified: 2013-09-19 22:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 22:10:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-05-25 10:18:22 EDT
It was discovered that Red Hat Network Configuration Client set insecure (0644) permissions on the /var/log/rhncfg-actions file used to store (besides terminal) the output of different RHN Client actions (diff, verify etc.). A local attacker could use this flaw to obtain sensitive information, if the rhncfg-client diff action has been used to query differences between the (normally for unprivileged user not readable) config files stored by RHN and those, deployed on the system.
Comment 3 Jan Lieskovsky 2012-06-08 07:42:33 EDT
The CVE identifier of CVE-2012-2679 has been assigned for this issue.
Comment 6 Jan Lieskovsky 2012-06-14 07:09:09 EDT
This issue affects the versions of the rhncfg package, as shipped with Fedora release of 15, 16, and 17. Please schedule an update.
Comment 7 Jan Lieskovsky 2012-06-14 07:10:33 EDT
Created rhncfg tracking bugs for this issue

Affects: fedora-all [bug 832037]
Comment 9 Murray McAllister 2012-10-09 03:42:06 EDT
Acknowledgements:

This issue was discovered by Paul Wouters of Red Hat.
Comment 10 errata-xmlrpc 2012-10-15 14:39:03 EDT
This issue has been addressed in following products:

  Red Hat Network Tools for RHEL 5
  Red Hat Network Tools for RHEL 5.3.LL
  Red Hat Network Tools for RHEL 5.6.Z
  Red Hat Network Tools for RHEL 6
  Red Hat Network Tools for RHEL 6.0.Z
  Red Hat Network Tools for RHEL 6.1.Z
  Red Hat Network Tools for RHEL 6.2.Z
  Red Hat Network Tools for RHEL 6.3.Z

Via RHSA-2012:1369 https://rhn.redhat.com/errata/RHSA-2012-1369.html

Note You need to log in before you can comment on or make changes to this bug.